# Uses of Class
org.eclipse.ui.editors.text.TextFileDocumentProvider.FileInfo

Packages that use TextFileDocumentProvider.FileInfo
Package
Description
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of TextFileDocumentProvider.FileInfo in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return TextFileDocumentProvider.FileInfo
Modifier and Type
Method
Description
`protected TextFileDocumentProvider.FileInfo`
TextFileDocumentProvider.`createEmptyFileInfo()`
Creates and returns a new and empty file info object.
`protected TextFileDocumentProvider.FileInfo`
TextFileDocumentProvider.`createFileInfo(Object element)`
Creates and returns the file info object for the given element.
`protected TextFileDocumentProvider.FileInfo`
TextFileDocumentProvider.`getFileInfo(Object element)`
Returns the file info object for the given element.
Methods in org.eclipse.ui.editors.text that return types with arguments of type TextFileDocumentProvider.FileInfo
Modifier and Type
Method
Description
`protected Iterator<TextFileDocumentProvider.FileInfo>`
TextFileDocumentProvider.`getFileInfosIterator()`
Returns an iterator over this document provider's file info objects.
Methods in org.eclipse.ui.editors.text with parameters of type TextFileDocumentProvider.FileInfo
Modifier and Type
Method
Description
`protected void`
TextFileDocumentProvider.`commitFileBuffer(IProgressMonitor monitor, TextFileDocumentProvider.FileInfo info, boolean overwrite)`
Commits the given file info's file buffer by changing the contents of the underlying file to the contents of this file buffer.
`protected void`
TextFileDocumentProvider.`disposeFileInfo(Object element, TextFileDocumentProvider.FileInfo info)`
Releases all resources described by given element's info object.
`protected IFileStore`
TextFileDocumentProvider.`getFileStore(TextFileDocumentProvider.FileInfo info)`
Returns the file store denoted by the given info.
`protected File`
TextFileDocumentProvider.`getSystemFile(TextFileDocumentProvider.FileInfo info)`
Deprecated.
As of 3.2, replaced by `TextFileDocumentProvider.getFileStore(org.eclipse.ui.editors.text.TextFileDocumentProvider.FileInfo)`
`protected boolean`
TextFileDocumentProvider.`isSystemFileReadOnly(TextFileDocumentProvider.FileInfo info)`
Returns whether the system file denoted by the given info is read-only.
`protected void`
TextFileDocumentProvider.`setUpSynchronization(TextFileDocumentProvider.FileInfo info)`
Sets up the synchronization for the document and the annotation mode.